#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		xlibvers	2.0
%define		sname		%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	gdk-pixbuf-xlib
Version		:	2.40.2
Release		:	14.8.0.0%{?dist}
Summary		:	Deprecated Xlib integration for GdkPixbuf
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2.1
URL		:	https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gtk-doc
BuildRequires	:	meson, ninja
BuildRequires	:	xorg-libX11

#-----------------------------------------------------------------------------
%description
GdkPixbuf-Xlib contains the deprecated API for integrating
GdkPixbuf with Xlib data types.

This library was originally shipped by [GdkPixbuf][gdk-pixbuf],
and has since been moved out of the original repository.

No newly written code should ever use this library.

If your existing code depends on gdk-pixbuf-xlib,
then you're strongly encouraged to port away from it.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libgdk_pixbuf_xlib-%{xlibvers}.so.*
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css


#=============================================================================
%package		devel
Summary		:	Developpement Xlib integration for GdkPixbuf

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Developpement file to use '%{name}' API

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{xlibvers}/%{name}/*.h
%{_libdir}/libgdk_pixbuf_xlib-%{xlibvers}.so
%{_libdir}/pkgconfig/%{name}-%{xlibvers}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson							\
	-D gtk_doc=true					\
	--prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja -v -k1 %{_smp_mflags}

popd
	
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install


#-----------------------------------------------------------------------------
%changelog
